Bug 1127421 - Rebase openstack-keystone to 2014.1.2.1
Summary: Rebase openstack-keystone to 2014.1.2.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: Alan Pevec
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:45 UTC by Lon Hohberger
Modified: 2016-04-26 19:33 UTC (History)
5 users (show)

Fixed In Version: openstack-keystone-2014.1.2.1-1.el7ost
Doc Type: Rebase: Bug Fixes Only
Doc Text:
The openstack-keystone packages have been rebased to version 2014.1.2.1 For more information, refer to https://launchpad.net/keystone/icehouse/2014.1.2 Important bug fixes include: * When a scoped token that was created from an unscoped token was revoked, the original token wound up being revoked as well. This is because the scope wasn't included in the revocation event. By including the scope in the revocation event only the scoped token is revoked. (Launchpad #1347318) * If a domain or project is renamed, the old name remains in a cache. As a result the old name can be used in some requests until cache record is expired. For example, the old domain name can still be used for the authentication after renaming the domain. Cache entries are now properly invalidated for domain and project rename operations. (Launchpad #1311142) * Keystone did not return the same status and headers for HEAD and GET requests, which doesn't follow the HTTP specification. This would lead to different status codes between running keystone-all versus running Keystone in Apache httpd with mod_wsgi. The responses have been corrected to be consistent regardless of the webserver being used. (Launchpad #1334368) * The migration that creates the region table does not explicitly set utf8 so if the database default is not set, then db_sync fails. The migration now detects this condition and corrects the database. (Launchpad #1334779)
Clone Of:
Environment:
Last Closed: 2014-09-02 17:59:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1121 normal SHIPPED_LIVE Low: openstack-keystone security and bug fix update 2014-09-02 21:58:31 UTC

Description Lon Hohberger 2014-08-06 20:45:26 UTC
Rebase openstack-keystone to 2014.1.2.  If appropriate, link any critical issues addressed in this rebase.

Comment 2 Udi 2014-08-18 07:29:36 UTC
Tested basic sanity. Passed.

Comment 5 errata-xmlrpc 2014-09-02 17:59:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1121.html


Note You need to log in before you can comment on or make changes to this bug.